%global momorel 3

Summary:	Audacity is a free audio editor.
Name:		audacity
Version:	1.2.2
Release:	%{momorel}m
License:	GPL
Group:		Applications/Multimedia
%NoSource 0	http://unc.dl.sourceforge.net/sourceforge/audacity/audacity-src-%{version}.tar.gz 68d60659ad936792f6d7d746a40a7179
# untranslate some message
Patch0:         audacity-1.2.2-adhoc_prefstrings.patch
Url:		http://audacity.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	wxGTK >= 2.4.2
Requires:	libvorbis libmad libsndfile flac
BuildPreReq:	wxGTK-devel >= 2.4.2-5m
BuildPreReq:	gcc-c++ >= 3.4.1-1m
BuildPreReq:	libvorbis-devel libmad libsndfile-devel libid3tag
BuildPreReq:	flac-devel >= 1.1.1
BuildPreReq:	desktop-file-utils

%description
Audacity is a free audio editor. You can record sounds, play sounds, import
and export WAV, AIFF, and MP3 files, and more. Use it to edit your sounds
using Cut, Copy and Paste (with unlimited Undo), mix tracks together, or apply
effects to your recordings. It also has a built-in amplitude envelope editor,
a customizable spectrogram mode and a frequency analysis window for audio
analysis applications. Built-in effects include Bass Boost, Wahwah, and Noise
Removal, and it also supports VST plug-in effects.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1 -b .orig

%build
%configure \
        --with-vorbis=system \
        --with-libmad=system \
        --with-libsndfile=system \
        --with-libflac=system \
        --with-help

%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_datadir}/%{name}
cp audacity-1.2-help.htb %{buildroot}/%{_datadir}/%{name}

# menus
mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Audacity
Comment=audio editor
Icon=AudacityLogo48x48.xpm
Exec=audacity
Terminal=false
Type=Application
EOF
desktop-file-install --vendor= \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category Application \
    --add-category Multimedia \
    --add-category Audio \
    --add-category AudioVideo \
    --add-category AudioVideoEditing \
    %{name}.desktop

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 images/AudacityLogo48x48.xpm %{buildroot}%{_datadir}/pixmaps

rm -rf  %{buildroot}%{_datadir}/doc/%{name}

# remove some files which cause crash!
# (http://audacity.fuchsi.de/forum.php?req=thread&id=51)
rm -rf %{buildroot}%{_datadir}/locale/{es,fr,pt}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,755)
%doc LICENSE.txt README.txt help/wxhelp
%{_bindir}/*
%{_datadir}/man/man1/*
%{_datadir}/%{name}
%{_datadir}/pixmaps
%{_datadir}/applications/audacity.desktop

%ChangeLog
* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.2-3m)
- revised docdir permission

* Fri Nov 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- rebuild against flac 1.1.1
- add category AudioVideo to desktop file for KDE 

* Fri Nov 05 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2
- remove some message catalog files which cause a crash when one open a preference dialog (http://audacity.fuchsi.de/forum.php?req=thread&id=51)
- add Patch0 since some strings of a preferance dialog are not shown in the case launguage setting is "Nihongo". This may be bug of wxNotebook::AddPage, but I simply remove some translations from ja.po of audacity.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.0-0.2.2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Dec 14 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.0-0.2.1m)
- update to version 1.2.0-pre2 (1.2.0-pre3 doesn't work correctly now...)
- rebuild against wxGTK-2.4.2

* Thu Feb 13 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.0.0-2m)
  BuildPrereq: wxGTK-devel.

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.0-1m)
  imported
